Bug 852165

Summary: ABRT events are handled incorrectly
Product: [Fedora] Fedora Reporter: Richard Marko <rmarko>
Component: abrtAssignee: abrt <abrt-devel-list>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: abrt-devel-list, dvlasenk, iprikryl, jberan, jfilak, jmoskovc, kklic, mmilata, mtoman
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-20 15:10:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 756771    

Description Richard Marko 2012-08-27 18:11:27 UTC
Description of problem:
Newline followed by command in the list of of commands causes the command to be run every time not just for the specified analyzer.

Version-Release number of selected component (if applicable):
abrt-2.0.12.12

How reproducible:
Always

Steps to Reproduce:
1. edit first event in /etc/libreport/events.d/python_event.conf like this:

EVENT=post-create analyzer=Python
        abrt-action-analyze-python
        abrt-action-generate-core-backtrace

	echo "Python event"


2. crash non-python application
3. tailf /var/log/messages
  
Actual results:
"abrtd: Python event" present in logs

Expected results:
Message missing (echo not called).

Additional info:
Command is only called when the newline is present.

Comment 1 Jakub Filak 2012-09-06 14:49:04 UTC
commit df51ca1eee3bfe090a53f2f8817e298f593326b6
Author: Jakub Filak <jfilak@redhat.com>
Date:   Thu Sep 6 16:24:41 2012 +0200

    rhbz#852165: warn if adding commands without any rule condition
    
    - an event command line lead by an empty line is run for every event
    - this behaviour make some peopel confused thus we notify them from now
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>

Comment 2 Fedora Update System 2012-09-24 14:32:10 UTC
abrt-2.0.13-1.fc18,libreport-2.0.14-1.fc18,btparser-0.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.13-1.fc18,libreport-2.0.14-1.fc18,btparser-0.19-1.fc18

Comment 3 Fedora Update System 2012-09-24 20:04:12 UTC
Package abrt-2.0.13-1.fc18, libreport-2.0.14-1.fc18, btparser-0.19-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.13-1.fc18 libreport-2.0.14-1.fc18 btparser-0.19-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14679/abrt-2.0.13-1.fc18,libreport-2.0.14-1.fc18,btparser-0.19-1.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-09-25 10:06:35 UTC
abrt-2.0.13-1.fc17,libreport-2.0.14-1.fc17,btparser-0.19-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.13-1.fc17,libreport-2.0.14-1.fc17,btparser-0.19-1.fc17

Comment 5 Fedora Update System 2012-12-20 15:10:12 UTC
abrt-2.0.13-1.fc18, libreport-2.0.14-1.fc18, btparser-0.19-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.